---
lang: en
title: 'API docs: repository.repositorymetadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.repositorymetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [RepositoryMetadata](./repository.repositorymetadata.md)

## RepositoryMetadata class

Metadata for a repository

<b>Signature:</b>

```typescript
export declare class RepositoryMetadata 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(modelOrRepo, dataSource)](./repository.repositorymetadata._constructor_.md) |  | Constructor for RepositoryMetadata |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [dataSource?](./repository.repositorymetadata.datasource.md) |  | juggler.DataSource \| [DataSource](./repository.datasource.md) | <i>(Optional)</i> Instance of the data source |
|  [dataSourceName?](./repository.repositorymetadata.datasourcename.md) |  | string | <i>(Optional)</i> Name of the data source |
|  [modelClass?](./repository.repositorymetadata.modelclass.md) |  | typeof [Entity](./repository.entity.md) | <i>(Optional)</i> Class of the model |
|  [modelName?](./repository.repositorymetadata.modelname.md) |  | string | <i>(Optional)</i> Name of the model |
|  [name?](./repository.repositorymetadata.name.md) |  | string | <i>(Optional)</i> Name of the predefined repository |


